Bug 443656 - Make ant-nodeps a dependency of any optional ant task jars
Make ant-nodeps a dependency of any optional ant task jars
Product: Fedora
Classification: Fedora
Component: ant (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-22 14:28 EDT by Chris DeLashmutt
Modified: 2011-06-19 16:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:24:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris DeLashmutt 2008-04-22 14:28:00 EDT
Description of problem:
Having fought with ant many times on Fedora, I've finally found out why I
couldn't get the replaceregexp task working even after installing the requisite 
ant-apache-regexp rpm.  The problem is that ant-nodeps is not installed by
default, and it is the jar the contains the actual taskdefs for all the optional
ant tasks.  Fedora should either include this jar as a default, or at least have
all the optional task jars include it as a dependency.

Version-Release number of selected component (if applicable):

How reproducible:
Quite. :)

Steps to Reproduce:
1. Install Fedora 8
2. yum install ant.i386 ant-apache-regexp.i386 (or ant-apache-oro.i386)
3. Create a build script with a regexpreplace task in it.
4. Run the script to see the failure.
Actual results:
Error message is given saying the taskdef for regexpreplace can't be found.

Expected results:
The build script should run with no issue.

Additional info:
Comment 1 Bug Zapper 2008-11-26 05:32:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-01-09 01:24:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Claes Wallin 2011-02-23 04:50:34 EST
In Fedora 14, this is still a problem. replaceregexp and regexpmapper are "optional" elements, but are supposed to work in any Java >= 1.4 without any dependencies except the ant core.

When a casual ant user installs ant and tries to run a build.xml that works fine on other platforms, instead they get:

Could not create type regexpmapper due to No supported regular expression matcher found: java.lang.ClassNotFoundException: org.apache.tools.ant.util.regexp.Jdk14RegexpMatcher

They know they are running a Java >= 1.4 and the ant documentation says this should just work. The fact that org.apache.tools.ant.util.regexp.Jdk14RegexpMatcher is in ant-nodeps.jar and that ant-nodeps.jar is provided by the package ant-nodeps is not something the average ant user should need to know.

This could be resolved in one of three ways:

1. Add ant-nodeps as dependency of ant.
2. Bake ant-nodeps into ant.
3. Add some form of stub to instruct the user that in order to get this optional functionality they need to install ant-nodeps.
Comment 4 Zenon Panoussis 2011-06-19 16:45:33 EDT
This has been fixed in SL6, so presumably also in RHEL6:

yum install ant-apache-regexp
 ant-apache-regexp    x86_64    1.7.1-13.el6   sl   27 k
Installing for dependencies:
 ant-nodeps           x86_64    1.7.1-13.el6   sl  781 k

Is it really still WONTFIX in Fedora?

Note You need to log in before you can comment on or make changes to this bug.